diff --git a/src/wrappers/markdown2pdf.in b/src/wrappers/markdown2pdf.in
index aaae07184..51e5507f2 100644
--- a/src/wrappers/markdown2pdf.in
+++ b/src/wrappers/markdown2pdf.in
@@ -9,7 +9,6 @@ SYNOPSIS="converts markdown-formatted text to PDF, using pdflatex."
 
 texname=output
 logfile=$THIS_TEMPDIR/log
-origdir=$(pwd)
 
 pandoc -s -r markdown -w latex "$@" -o - >$THIS_TEMPDIR/$texname.tex \
 2>$logfile
@@ -23,23 +22,27 @@ else
 fi
 
 (
+    origdir=$(pwd)
     cd $THIS_TEMPDIR
-    TEXINPUTS=$TEXINPUTS:$origdir pdflatex -interaction=batchmode \
-    $texname.tex >/dev/null 2>&1 || {
-        errorcode=$?
-	    err "${THIS}: pdfLaTeX error context:"
-        sed -ne '/^!/,/^[[:space:]]*$/p' \
-            -ne '/^[Ll]a[Tt]e[Xx] [Ww]arning/,/^[[:space:]]*$/p' \
-            -ne '/^[Ee]rror/,/^[[:space:]]*$/p' $texname.log >&2
-        if grep -q "File \`ucs.sty' not found" $texname.log; then
-            err "${THIS}: Please install the 'unicode' package from CTAN:"
-            err "  http://www.ctan.org/tex-archive/macros/latex/contrib/unicode/"
-        fi
-        if grep -q "File \`fancyvrb.sty' not found" $texname.log; then
-            err "${THIS}: Please install the 'fancyvrb' package from CTAN:"
-            err "  http://www.ctan.org/tex-archive/macros/latex/contrib/fancyvrb/"
-        fi
-        exit $errorcode
+    TEXINPUTS=$origdir:$TEXINPUTS:
+    pdflatex -interaction=batchmode $texname.tex >/dev/null || {
+        errcode=$?
+	err "${THIS}: pdfLaTeX failed with error code $errcode"
+	[ -f $texname.log ] && {
+		err "${THIS}: error context:"
+	    sed -ne '/^!/,/^[[:space:]]*$/p' \
+		-ne '/^[Ll]a[Tt]e[Xx] [Ww]arning/,/^[[:space:]]*$/p' \
+		-ne '/^[Ee]rror/,/^[[:space:]]*$/p' $texname.log >&2
+	    if grep -q "File \`ucs.sty' not found" $texname.log; then
+		err "${THIS}: Please install the 'unicode' package from CTAN:"
+		err "  http://www.ctan.org/tex-archive/macros/latex/contrib/unicode/"
+	    fi
+	    if grep -q "File \`fancyvrb.sty' not found" $texname.log; then
+		err "${THIS}: Please install the 'fancyvrb' package from CTAN:"
+		err "  http://www.ctan.org/tex-archive/macros/latex/contrib/fancyvrb/"
+	    fi
+	}
+        exit $errcode
     }
 ) || exit $?